<?php
namespace LearnDash\The_Events_Calendar;

if ( ! defined( 'ABSPATH' ) ) {
    exit();
}

class Assets
{
    public function __construct()
    {
        add_action( 'admin_enqueue_scripts', [ $this, 'deregister_admin_scripts' ], 20 );
        add_action( 'admin_enqueue_scripts', [ $this, 'enqueue_admin_scripts' ], 1 );
    }

    public function deregister_admin_scripts()
    {
        $screen = get_current_screen();

        if ( 
            isset( $screen->id ) && $screen->id == 'tribe_events'
            && isset( $screen->base ) && $screen->base == 'post'
        ) {
            wp_deregister_script( 'learndash-select2-jquery-script' );
            wp_deregister_style( 'learndash-select2-jquery-style' );
        }
    }

    public function enqueue_admin_scripts()
    {
        $screen = get_current_screen();

        if ( 
            isset( $screen->id ) && $screen->id == 'tribe_events'
            && isset( $screen->base ) && $screen->base == 'post'
        ) {
            $suffix = defined( 'SCRIPT_DEBUG' ) && SCRIPT_DEBUG ? '' : '.min';
            
            wp_register_script( 'learndash-tec-select2', LEARNDASH_TEC_PLUGIN_URL . 'lib/select2/select2.min.js', [ 'jquery' ], '4.0.13', true );
            wp_register_style( 'learndash-tec-select2', LEARNDASH_TEC_PLUGIN_URL . 'lib/select2/select2.min.css', [], '4.0.13', 'all' );
        
            wp_enqueue_script( 'learndash-tec-event', LEARNDASH_TEC_PLUGIN_URL . 'assets/js/event' . $suffix . '.js', [ 'learndash-tec-select2' ], LEARNDASH_TEC_VERSION, true );  
            wp_enqueue_style( 'learndash-tec-event', LEARNDASH_TEC_PLUGIN_URL . 'assets/css/event' . $suffix . '.css', [ 'learndash-tec-select2' ], LEARNDASH_TEC_VERSION, 'all' );
        }
    }
}
